petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMStagSetGlobalSizes

set global element counts in each direction

### Synopsis

    PetscErrorCode DMStagSetGlobalSizes(DM dm,PetscInt N0,PetscInt N1,PetscInt N2)

Logically Collective; N0, N1, and N2 must contain common values

### Input Parameters

| dm | - the DMStag object
| N0,N1,N2 | - global elementwise sizes

### Notes

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids.

### See Also

DMSTAG, DMStagGetGlobalSizes(), DMDASetSizes()

### Level

advanced

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages